Peplink Portal Docs

Search devices

Searches devices under your partner account by different criteria.

Request

GET/devices/search

Query parameters

pageNumintegeroptionaldefault: 1

Page number of the search result. Minimum value allowed is 1.

pageSizeintegeroptionaldefault: 10

A limit on the number of items returned. Allowed value can range between 1 and 100.

querystringoptional

Search query string.

snsstringoptional

Enter serial numbers of devices to find. Use , as separator for multiple serial numbers.

Response

A json is returned in the response body with the following fields:

totalCountlong

Total number of devices found with the search request. If this value is larger than the returned count of items, you can find more results by retrying the same request with different pageNum.

itemsobject array

Returns devices found for the current page of search result.

Show child attributes
items.serialNumberstring

Serial number (sn) of the device.

items.productCodestring

Product code (sku) of the device.

items.productNamestring

Product name of the device.

items.ownerAccountRefIdlong

Ref ID of the owner of the device. This value should be the Ref ID of your partner account or your children (reseller) partners.

items.soldTonullable string

Customer name registered for sales registration.

items.imeisobject array

Associated IMEIs for the device. Empty array if the device has no IMEI.

Show child attributes
items.imeis.imeistring

IMEI

items.imeis.cellularModulestring

Description of cellular module for this IMEI.

items.hardwareRevisioninteger

Hardware revision of the device.

items.purchaseDatedate string

Date of purchase of the device.

items.salesDatenullable date string

Date of sales registration of the device. null if no sale is registered.

items.warrantyExpirationDatenullable date string

Warranty expiration date of the device.

items.subscriptionExpirationDatenullable date string

Subscription expiration date of the device. null if no subscription is purchased.

items.primecareExpirationDatenullable date string

PrimeCare expiration date of the device. null if no PrimeCare is purchased.

items.rmaServiceNumbernullable string

RMA service number of the device. null if the device is not under RMA.

items.lanMacnullable string

LAN MAC address of the device. null if the device has no LAN MAC.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/devices/search?pageNum=1&pageSize=5&query=balance' \  -H 'Authorization: Bearer {token}'

Response

{
  "totalCount": 2,
  "items": [
    {
      "serialNumber": "1234-1234-1234",
      "productCode": "code-1",
      "productName": "product-1",
      "ownerAccountRefId": 12345,
      "soldTo": null,
      "imeis": [
        {
          "imei": "493678715392327",
          "cellularModule": "cellular module 1"
        },
        {
          "imei": "493678715392328",
          "cellularModule": "cellular module 2"
        }
      ],
      "hardwareRevision": 1,
      "purchaseDate": "2020-01-15",
      "salesDate": null,
      "warrantyExpirationDate": "2021-01-15",
      "subscriptionExpirationDate": null,
      "primecareExpirationDate": null,
      "rmaServiceNumber": null,
      "lanMac": "12-34-AA-BB-CC-DD"
    },
    {
      "serialNumber": "2345-2345-2345",
      "productCode": "code-2",
      "productName": "product-2",
      "ownerAccountRefId": 12345,
      "soldTo": null,
      "imeis": [],
      "hardwareRevision": 1,
      "purchaseDate": "2020-01-15",
      "salesDate": null,
      "warrantyExpirationDate": "2021-01-15",
      "subscriptionExpirationDate": null,
      "primecareExpirationDate": null,
      "rmaServiceNumber": null,
      "lanMac": "12-34-AA-BB-CC-DD"
    }
  ]
}

On this page